#!/usr/bin/env python
# -*- coding: latin-1 -*-
#
#   Copyright 2020 Blaise Frederick
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.
#
#
# $Author: frederic $
# $Date: 2016/04/07 21:46:54 $
# $Id: LightboxItem.py,v 1.13 2016/04/07 21:46:54 frederic Exp $
#
# -*- coding: utf-8 -*-

"""
Colormaps for lightbox display
"""

g2y2r_state = {
    "ticks": [
        (0.5, (255, 255, 0, 255)),
        (1.0, (255, 0, 0, 255)),
        (0.0, (0, 255, 0, 255)),
    ],
    "mode": "rgb",
}
ry_blb_state = {
    "ticks": [
        (0.0, (128, 128, 255, 255)),
        (0.49, (0, 0, 255)),
        (0.491, (0, 0, 0, 255)),
        (0.509, (0, 0, 0, 255)),
        (0.51, (128, 0, 0, 255)),
        (1.0, (255, 255, 0)),
    ],
    "mode": "rgb",
}
gray_state = {
    "ticks": [(1.0, (255, 255, 255, 255)), (0.0, (0, 0, 0, 255))],
    "mode": "rgb",
}
mask_state = {"ticks": [(0.0, (0, 0, 0, 255)), (1, (255, 255, 255, 0))], "mode": "rgb"}

thermal_state = {
    "ticks": [
        (0.3333, (185, 0, 0, 255)),
        (0.6666, (255, 220, 0, 255)),
        (1, (255, 255, 255, 255)),
        (0, (0, 0, 0, 255)),
    ],
    "mode": "rgb",
}
flame_state = {
    "ticks": [
        (0.2, (7, 0, 220, 255)),
        (0.5, (236, 0, 134, 255)),
        (0.8, (246, 246, 0, 255)),
        (1.0, (255, 255, 255, 255)),
        (0.0, (0, 0, 0, 255)),
    ],
    "mode": "rgb",
}
yellowy_state = {
    "ticks": [
        (0.0, (0, 0, 0, 255)),
        (0.2328863796753704, (32, 0, 129, 255)),
        (0.8362738179251941, (255, 255, 0, 255)),
        (0.5257586450247, (115, 15, 255, 255)),
        (1.0, (255, 255, 255, 255)),
    ],
    "mode": "rgb",
}
bipolar_state = {
    "ticks": [
        (0.0, (0, 255, 255, 255)),
        (1.0, (255, 255, 0, 255)),
        (0.5, (0, 0, 0, 255)),
        (0.25, (0, 0, 255, 255)),
        (0.75, (255, 0, 0, 255)),
    ],
    "mode": "rgb",
}
spectrum_state = {
    "ticks": [(1.0, (255, 0, 255, 255)), (0.0, (255, 0, 0, 255))],
    "mode": "hsv",
}
cyclic_state = {
    "ticks": [(0.0, (255, 0, 4, 255)), (1.0, (255, 0, 0, 255))],
    "mode": "hsv",
}
greyclip_state = {
    "ticks": [
        (0.0, (0, 0, 0, 255)),
        (0.99, (255, 255, 255, 255)),
        (1.0, (255, 0, 0, 255)),
    ],
    "mode": "rgb",
}
grey_state = {
    "ticks": [(0.0, (0, 0, 0, 255)), (1.0, (255, 255, 255, 255))],
    "mode": "rgb",
}
viridis_state = {
    "ticks": [
        (0.000, (68, 1, 84)),
        (0.004, (68, 2, 86)),
        (0.008, (69, 4, 87)),
        (0.012, (69, 5, 89)),
        (0.016, (70, 7, 90)),
        (0.020, (70, 8, 92)),
        (0.024, (70, 10, 93)),
        (0.027, (70, 11, 94)),
        (0.031, (71, 13, 96)),
        (0.035, (71, 14, 97)),
        (0.039, (71, 16, 99)),
        (0.043, (71, 17, 100)),
        (0.047, (71, 19, 101)),
        (0.051, (72, 20, 103)),
        (0.055, (72, 22, 104)),
        (0.059, (72, 23, 105)),
        (0.063, (72, 24, 106)),
        (0.067, (72, 26, 108)),
        (0.071, (72, 27, 109)),
        (0.075, (72, 28, 110)),
        (0.078, (72, 29, 111)),
        (0.082, (72, 31, 112)),
        (0.086, (72, 32, 113)),
        (0.090, (72, 33, 115)),
        (0.094, (72, 35, 116)),
        (0.098, (72, 36, 117)),
        (0.102, (72, 37, 118)),
        (0.106, (72, 38, 119)),
        (0.110, (72, 40, 120)),
        (0.114, (72, 41, 121)),
        (0.118, (71, 42, 122)),
        (0.122, (71, 44, 122)),
        (0.125, (71, 45, 123)),
        (0.129, (71, 46, 124)),
        (0.133, (71, 47, 125)),
        (0.137, (70, 48, 126)),
        (0.141, (70, 50, 126)),
        (0.145, (70, 51, 127)),
        (0.149, (70, 52, 128)),
        (0.153, (69, 53, 129)),
        (0.157, (69, 55, 129)),
        (0.161, (69, 56, 130)),
        (0.165, (68, 57, 131)),
        (0.169, (68, 58, 131)),
        (0.173, (68, 59, 132)),
        (0.176, (67, 61, 132)),
        (0.180, (67, 62, 133)),
        (0.184, (66, 63, 133)),
        (0.188, (66, 64, 134)),
        (0.192, (66, 65, 134)),
        (0.196, (65, 66, 135)),
        (0.200, (65, 68, 135)),
        (0.204, (64, 69, 136)),
        (0.208, (64, 70, 136)),
        (0.212, (63, 71, 136)),
        (0.216, (63, 72, 137)),
        (0.220, (62, 73, 137)),
        (0.224, (62, 74, 137)),
        (0.227, (62, 76, 138)),
        (0.231, (61, 77, 138)),
        (0.235, (61, 78, 138)),
        (0.239, (60, 79, 138)),
        (0.243, (60, 80, 139)),
        (0.247, (59, 81, 139)),
        (0.251, (59, 82, 139)),
        (0.255, (58, 83, 139)),
        (0.259, (58, 84, 140)),
        (0.263, (57, 85, 140)),
        (0.267, (57, 86, 140)),
        (0.271, (56, 88, 140)),
        (0.275, (56, 89, 140)),
        (0.278, (55, 90, 140)),
        (0.282, (55, 91, 141)),
        (0.286, (54, 92, 141)),
        (0.290, (54, 93, 141)),
        (0.294, (53, 94, 141)),
        (0.298, (53, 95, 141)),
        (0.302, (52, 96, 141)),
        (0.306, (52, 97, 141)),
        (0.310, (51, 98, 141)),
        (0.314, (51, 99, 141)),
        (0.318, (50, 100, 142)),
        (0.322, (50, 101, 142)),
        (0.325, (49, 102, 142)),
        (0.329, (49, 103, 142)),
        (0.333, (49, 104, 142)),
        (0.337, (48, 105, 142)),
        (0.341, (48, 106, 142)),
        (0.345, (47, 107, 142)),
        (0.349, (47, 108, 142)),
        (0.353, (46, 109, 142)),
        (0.357, (46, 110, 142)),
        (0.361, (46, 111, 142)),
        (0.365, (45, 112, 142)),
        (0.369, (45, 113, 142)),
        (0.373, (44, 113, 142)),
        (0.376, (44, 114, 142)),
        (0.380, (44, 115, 142)),
        (0.384, (43, 116, 142)),
        (0.388, (43, 117, 142)),
        (0.392, (42, 118, 142)),
        (0.396, (42, 119, 142)),
        (0.400, (42, 120, 142)),
        (0.404, (41, 121, 142)),
        (0.408, (41, 122, 142)),
        (0.412, (41, 123, 142)),
        (0.416, (40, 124, 142)),
        (0.420, (40, 125, 142)),
        (0.424, (39, 126, 142)),
        (0.427, (39, 127, 142)),
        (0.431, (39, 128, 142)),
        (0.435, (38, 129, 142)),
        (0.439, (38, 130, 142)),
        (0.443, (38, 130, 142)),
        (0.447, (37, 131, 142)),
        (0.451, (37, 132, 142)),
        (0.455, (37, 133, 142)),
        (0.459, (36, 134, 142)),
        (0.463, (36, 135, 142)),
        (0.467, (35, 136, 142)),
        (0.471, (35, 137, 142)),
        (0.475, (35, 138, 141)),
        (0.478, (34, 139, 141)),
        (0.482, (34, 140, 141)),
        (0.486, (34, 141, 141)),
        (0.490, (33, 142, 141)),
        (0.494, (33, 143, 141)),
        (0.498, (33, 144, 141)),
        (0.502, (33, 145, 140)),
        (0.506, (32, 146, 140)),
        (0.510, (32, 146, 140)),
        (0.514, (32, 147, 140)),
        (0.518, (31, 148, 140)),
        (0.522, (31, 149, 139)),
        (0.525, (31, 150, 139)),
        (0.529, (31, 151, 139)),
        (0.533, (31, 152, 139)),
        (0.537, (31, 153, 138)),
        (0.541, (31, 154, 138)),
        (0.545, (30, 155, 138)),
        (0.549, (30, 156, 137)),
        (0.553, (30, 157, 137)),
        (0.557, (31, 158, 137)),
        (0.561, (31, 159, 136)),
        (0.565, (31, 160, 136)),
        (0.569, (31, 161, 136)),
        (0.573, (31, 161, 135)),
        (0.576, (31, 162, 135)),
        (0.580, (32, 163, 134)),
        (0.584, (32, 164, 134)),
        (0.588, (33, 165, 133)),
        (0.592, (33, 166, 133)),
        (0.596, (34, 167, 133)),
        (0.600, (34, 168, 132)),
        (0.604, (35, 169, 131)),
        (0.608, (36, 170, 131)),
        (0.612, (37, 171, 130)),
        (0.616, (37, 172, 130)),
        (0.620, (38, 173, 129)),
        (0.624, (39, 173, 129)),
        (0.627, (40, 174, 128)),
        (0.631, (41, 175, 127)),
        (0.635, (42, 176, 127)),
        (0.639, (44, 177, 126)),
        (0.643, (45, 178, 125)),
        (0.647, (46, 179, 124)),
        (0.651, (47, 180, 124)),
        (0.655, (49, 181, 123)),
        (0.659, (50, 182, 122)),
        (0.663, (52, 182, 121)),
        (0.667, (53, 183, 121)),
        (0.671, (55, 184, 120)),
        (0.675, (56, 185, 119)),
        (0.678, (58, 186, 118)),
        (0.682, (59, 187, 117)),
        (0.686, (61, 188, 116)),
        (0.690, (63, 188, 115)),
        (0.694, (64, 189, 114)),
        (0.698, (66, 190, 113)),
        (0.702, (68, 191, 112)),
        (0.706, (70, 192, 111)),
        (0.710, (72, 193, 110)),
        (0.714, (74, 193, 109)),
        (0.718, (76, 194, 108)),
        (0.722, (78, 195, 107)),
        (0.725, (80, 196, 106)),
        (0.729, (82, 197, 105)),
        (0.733, (84, 197, 104)),
        (0.737, (86, 198, 103)),
        (0.741, (88, 199, 101)),
        (0.745, (90, 200, 100)),
        (0.749, (92, 200, 99)),
        (0.753, (94, 201, 98)),
        (0.757, (96, 202, 96)),
        (0.761, (99, 203, 95)),
        (0.765, (101, 203, 94)),
        (0.769, (103, 204, 92)),
        (0.773, (105, 205, 91)),
        (0.776, (108, 205, 90)),
        (0.780, (110, 206, 88)),
        (0.784, (112, 207, 87)),
        (0.788, (115, 208, 86)),
        (0.792, (117, 208, 84)),
        (0.796, (119, 209, 83)),
        (0.800, (122, 209, 81)),
        (0.804, (124, 210, 80)),
        (0.808, (127, 211, 78)),
        (0.812, (129, 211, 77)),
        (0.816, (132, 212, 75)),
        (0.820, (134, 213, 73)),
        (0.824, (137, 213, 72)),
        (0.827, (139, 214, 70)),
        (0.831, (142, 214, 69)),
        (0.835, (144, 215, 67)),
        (0.839, (147, 215, 65)),
        (0.843, (149, 216, 64)),
        (0.847, (152, 216, 62)),
        (0.851, (155, 217, 60)),
        (0.855, (157, 217, 59)),
        (0.859, (160, 218, 57)),
        (0.863, (162, 218, 55)),
        (0.867, (165, 219, 54)),
        (0.871, (168, 219, 52)),
        (0.875, (170, 220, 50)),
        (0.878, (173, 220, 48)),
        (0.882, (176, 221, 47)),
        (0.886, (178, 221, 45)),
        (0.890, (181, 222, 43)),
        (0.894, (184, 222, 41)),
        (0.898, (186, 222, 40)),
        (0.902, (189, 223, 38)),
        (0.906, (192, 223, 37)),
        (0.910, (194, 223, 35)),
        (0.914, (197, 224, 33)),
        (0.918, (200, 224, 32)),
        (0.922, (202, 225, 31)),
        (0.925, (205, 225, 29)),
        (0.929, (208, 225, 28)),
        (0.933, (210, 226, 27)),
        (0.937, (213, 226, 26)),
        (0.941, (216, 226, 25)),
        (0.945, (218, 227, 25)),
        (0.949, (221, 227, 24)),
        (0.953, (223, 227, 24)),
        (0.957, (226, 228, 24)),
        (0.961, (229, 228, 25)),
        (0.965, (231, 228, 25)),
        (0.969, (234, 229, 26)),
        (0.973, (236, 229, 27)),
        (0.976, (239, 229, 28)),
        (0.980, (241, 229, 29)),
        (0.984, (244, 230, 30)),
        (0.988, (246, 230, 32)),
        (0.992, (248, 230, 33)),
        (0.996, (251, 231, 35)),
        (1.000, (253, 231, 37)),
    ],
    "mode": "rgb",
}

redyellow_state = {
    "ticks": [
        (0.000, (255, 0, 0)),
        (0.004, (255, 1, 0)),
        (0.008, (255, 2, 0)),
        (0.012, (255, 3, 0)),
        (0.016, (255, 4, 0)),
        (0.020, (255, 5, 0)),
        (0.024, (255, 6, 0)),
        (0.028, (255, 7, 0)),
        (0.031, (255, 8, 0)),
        (0.035, (255, 9, 0)),
        (0.039, (255, 10, 0)),
        (0.043, (255, 11, 0)),
        (0.047, (255, 12, 0)),
        (0.051, (255, 13, 0)),
        (0.055, (255, 14, 0)),
        (0.059, (255, 15, 0)),
        (0.063, (255, 16, 0)),
        (0.067, (255, 17, 0)),
        (0.071, (255, 18, 0)),
        (0.075, (255, 19, 0)),
        (0.079, (255, 20, 0)),
        (0.083, (255, 21, 0)),
        (0.087, (255, 22, 0)),
        (0.091, (255, 23, 0)),
        (0.094, (255, 24, 0)),
        (0.098, (255, 25, 0)),
        (0.102, (255, 26, 0)),
        (0.106, (255, 27, 0)),
        (0.110, (255, 28, 0)),
        (0.114, (255, 29, 0)),
        (0.118, (255, 30, 0)),
        (0.122, (255, 31, 0)),
        (0.126, (255, 32, 0)),
        (0.130, (255, 33, 0)),
        (0.134, (255, 34, 0)),
        (0.138, (255, 35, 0)),
        (0.142, (255, 36, 0)),
        (0.146, (255, 37, 0)),
        (0.150, (255, 38, 0)),
        (0.154, (255, 39, 0)),
        (0.157, (255, 40, 0)),
        (0.161, (255, 41, 0)),
        (0.165, (255, 42, 0)),
        (0.169, (255, 43, 0)),
        (0.173, (255, 44, 0)),
        (0.177, (255, 45, 0)),
        (0.181, (255, 46, 0)),
        (0.185, (255, 47, 0)),
        (0.189, (255, 48, 0)),
        (0.193, (255, 49, 0)),
        (0.197, (255, 50, 0)),
        (0.201, (255, 51, 0)),
        (0.205, (255, 52, 0)),
        (0.209, (255, 53, 0)),
        (0.213, (255, 54, 0)),
        (0.217, (255, 55, 0)),
        (0.220, (255, 56, 0)),
        (0.224, (255, 57, 0)),
        (0.228, (255, 58, 0)),
        (0.232, (255, 59, 0)),
        (0.236, (255, 60, 0)),
        (0.240, (255, 61, 0)),
        (0.244, (255, 62, 0)),
        (0.248, (255, 63, 0)),
        (0.252, (255, 64, 0)),
        (0.256, (255, 65, 0)),
        (0.260, (255, 66, 0)),
        (0.264, (255, 67, 0)),
        (0.268, (255, 68, 0)),
        (0.272, (255, 69, 0)),
        (0.276, (255, 70, 0)),
        (0.280, (255, 71, 0)),
        (0.283, (255, 72, 0)),
        (0.287, (255, 73, 0)),
        (0.291, (255, 74, 0)),
        (0.295, (255, 75, 0)),
        (0.299, (255, 76, 0)),
        (0.303, (255, 77, 0)),
        (0.307, (255, 78, 0)),
        (0.311, (255, 79, 0)),
        (0.315, (255, 80, 0)),
        (0.319, (255, 81, 0)),
        (0.323, (255, 82, 0)),
        (0.327, (255, 83, 0)),
        (0.331, (255, 84, 0)),
        (0.335, (255, 85, 0)),
        (0.339, (255, 86, 0)),
        (0.343, (255, 87, 0)),
        (0.346, (255, 88, 0)),
        (0.350, (255, 89, 0)),
        (0.354, (255, 90, 0)),
        (0.358, (255, 91, 0)),
        (0.362, (255, 92, 0)),
        (0.366, (255, 93, 0)),
        (0.370, (255, 94, 0)),
        (0.374, (255, 95, 0)),
        (0.378, (255, 96, 0)),
        (0.382, (255, 97, 0)),
        (0.386, (255, 98, 0)),
        (0.390, (255, 99, 0)),
        (0.394, (255, 100, 0)),
        (0.398, (255, 101, 0)),
        (0.402, (255, 102, 0)),
        (0.406, (255, 103, 0)),
        (0.409, (255, 104, 0)),
        (0.413, (255, 105, 0)),
        (0.417, (255, 106, 0)),
        (0.421, (255, 107, 0)),
        (0.425, (255, 108, 0)),
        (0.429, (255, 109, 0)),
        (0.433, (255, 110, 0)),
        (0.437, (255, 111, 0)),
        (0.441, (255, 112, 0)),
        (0.445, (255, 113, 0)),
        (0.449, (255, 114, 0)),
        (0.453, (255, 115, 0)),
        (0.457, (255, 116, 0)),
        (0.461, (255, 117, 0)),
        (0.465, (255, 118, 0)),
        (0.469, (255, 119, 0)),
        (0.472, (255, 120, 0)),
        (0.476, (255, 121, 0)),
        (0.480, (255, 122, 0)),
        (0.484, (255, 123, 0)),
        (0.488, (255, 124, 0)),
        (0.492, (255, 125, 0)),
        (0.496, (255, 126, 0)),
        (0.500, (255, 128, 0)),
        (0.504, (255, 129, 0)),
        (0.508, (255, 130, 0)),
        (0.512, (255, 131, 0)),
        (0.516, (255, 132, 0)),
        (0.520, (255, 133, 0)),
        (0.524, (255, 134, 0)),
        (0.528, (255, 135, 0)),
        (0.531, (255, 136, 0)),
        (0.535, (255, 137, 0)),
        (0.539, (255, 138, 0)),
        (0.543, (255, 139, 0)),
        (0.547, (255, 140, 0)),
        (0.551, (255, 141, 0)),
        (0.555, (255, 142, 0)),
        (0.559, (255, 143, 0)),
        (0.563, (255, 144, 0)),
        (0.567, (255, 145, 0)),
        (0.571, (255, 146, 0)),
        (0.575, (255, 147, 0)),
        (0.579, (255, 148, 0)),
        (0.583, (255, 149, 0)),
        (0.587, (255, 150, 0)),
        (0.591, (255, 151, 0)),
        (0.594, (255, 152, 0)),
        (0.598, (255, 153, 0)),
        (0.602, (255, 154, 0)),
        (0.606, (255, 155, 0)),
        (0.610, (255, 156, 0)),
        (0.614, (255, 157, 0)),
        (0.618, (255, 158, 0)),
        (0.622, (255, 159, 0)),
        (0.626, (255, 160, 0)),
        (0.630, (255, 161, 0)),
        (0.634, (255, 162, 0)),
        (0.638, (255, 163, 0)),
        (0.642, (255, 164, 0)),
        (0.646, (255, 165, 0)),
        (0.650, (255, 166, 0)),
        (0.654, (255, 167, 0)),
        (0.657, (255, 168, 0)),
        (0.661, (255, 169, 0)),
        (0.665, (255, 170, 0)),
        (0.669, (255, 171, 0)),
        (0.673, (255, 172, 0)),
        (0.677, (255, 173, 0)),
        (0.681, (255, 174, 0)),
        (0.685, (255, 175, 0)),
        (0.689, (255, 176, 0)),
        (0.693, (255, 177, 0)),
        (0.697, (255, 178, 0)),
        (0.701, (255, 179, 0)),
        (0.705, (255, 180, 0)),
        (0.709, (255, 181, 0)),
        (0.713, (255, 182, 0)),
        (0.717, (255, 183, 0)),
        (0.720, (255, 184, 0)),
        (0.724, (255, 185, 0)),
        (0.728, (255, 186, 0)),
        (0.732, (255, 187, 0)),
        (0.736, (255, 188, 0)),
        (0.740, (255, 189, 0)),
        (0.744, (255, 190, 0)),
        (0.748, (255, 191, 0)),
        (0.752, (255, 192, 0)),
        (0.756, (255, 193, 0)),
        (0.760, (255, 194, 0)),
        (0.764, (255, 195, 0)),
        (0.768, (255, 196, 0)),
        (0.772, (255, 197, 0)),
        (0.776, (255, 198, 0)),
        (0.780, (255, 199, 0)),
        (0.783, (255, 200, 0)),
        (0.787, (255, 201, 0)),
        (0.791, (255, 202, 0)),
        (0.795, (255, 203, 0)),
        (0.799, (255, 204, 0)),
        (0.803, (255, 205, 0)),
        (0.807, (255, 206, 0)),
        (0.811, (255, 207, 0)),
        (0.815, (255, 208, 0)),
        (0.819, (255, 209, 0)),
        (0.823, (255, 210, 0)),
        (0.827, (255, 211, 0)),
        (0.831, (255, 212, 0)),
        (0.835, (255, 213, 0)),
        (0.839, (255, 214, 0)),
        (0.843, (255, 215, 0)),
        (0.846, (255, 216, 0)),
        (0.850, (255, 217, 0)),
        (0.854, (255, 218, 0)),
        (0.858, (255, 219, 0)),
        (0.862, (255, 220, 0)),
        (0.866, (255, 221, 0)),
        (0.870, (255, 222, 0)),
        (0.874, (255, 223, 0)),
        (0.878, (255, 224, 0)),
        (0.882, (255, 225, 0)),
        (0.886, (255, 226, 0)),
        (0.890, (255, 227, 0)),
        (0.894, (255, 228, 0)),
        (0.898, (255, 229, 0)),
        (0.902, (255, 230, 0)),
        (0.906, (255, 231, 0)),
        (0.909, (255, 232, 0)),
        (0.913, (255, 233, 0)),
        (0.917, (255, 234, 0)),
        (0.921, (255, 235, 0)),
        (0.925, (255, 236, 0)),
        (0.929, (255, 237, 0)),
        (0.933, (255, 238, 0)),
        (0.937, (255, 239, 0)),
        (0.941, (255, 240, 0)),
        (0.945, (255, 241, 0)),
        (0.949, (255, 242, 0)),
        (0.953, (255, 243, 0)),
        (0.957, (255, 244, 0)),
        (0.961, (255, 245, 0)),
        (0.965, (255, 246, 0)),
        (0.969, (255, 247, 0)),
        (0.972, (255, 248, 0)),
        (0.976, (255, 249, 0)),
        (0.980, (255, 250, 0)),
        (0.984, (255, 251, 0)),
        (0.988, (255, 252, 0)),
        (0.992, (255, 253, 0)),
        (0.996, (255, 254, 0)),
        (1.000, (255, 255, 0)),
    ],
    "mode": "rgb",
}

bluelightblue_state = {
    "ticks": [
        (0.000, (0, 0, 255)),
        (0.004, (0, 1, 255)),
        (0.008, (0, 2, 255)),
        (0.012, (0, 3, 255)),
        (0.016, (0, 4, 255)),
        (0.020, (0, 5, 255)),
        (0.024, (0, 6, 255)),
        (0.028, (0, 7, 255)),
        (0.031, (0, 8, 255)),
        (0.035, (0, 9, 255)),
        (0.039, (0, 10, 255)),
        (0.043, (0, 11, 255)),
        (0.047, (0, 12, 255)),
        (0.051, (0, 13, 255)),
        (0.055, (0, 14, 255)),
        (0.059, (0, 15, 255)),
        (0.063, (0, 16, 255)),
        (0.067, (0, 17, 255)),
        (0.071, (0, 18, 255)),
        (0.075, (0, 19, 255)),
        (0.079, (0, 20, 255)),
        (0.083, (0, 21, 255)),
        (0.087, (0, 22, 255)),
        (0.091, (0, 23, 255)),
        (0.094, (0, 24, 255)),
        (0.098, (0, 25, 255)),
        (0.102, (0, 26, 255)),
        (0.106, (0, 27, 255)),
        (0.110, (0, 28, 255)),
        (0.114, (0, 29, 255)),
        (0.118, (0, 30, 255)),
        (0.122, (0, 31, 255)),
        (0.126, (0, 32, 255)),
        (0.130, (0, 33, 255)),
        (0.134, (0, 34, 255)),
        (0.138, (0, 35, 255)),
        (0.142, (0, 36, 255)),
        (0.146, (0, 37, 255)),
        (0.150, (0, 38, 255)),
        (0.154, (0, 39, 255)),
        (0.157, (0, 40, 255)),
        (0.161, (0, 41, 255)),
        (0.165, (0, 42, 255)),
        (0.169, (0, 43, 255)),
        (0.173, (0, 44, 255)),
        (0.177, (0, 45, 255)),
        (0.181, (0, 46, 255)),
        (0.185, (0, 47, 255)),
        (0.189, (0, 48, 255)),
        (0.193, (0, 49, 255)),
        (0.197, (0, 50, 255)),
        (0.201, (0, 51, 255)),
        (0.205, (0, 52, 255)),
        (0.209, (0, 53, 255)),
        (0.213, (0, 54, 255)),
        (0.217, (0, 55, 255)),
        (0.220, (0, 56, 255)),
        (0.224, (0, 57, 255)),
        (0.228, (0, 58, 255)),
        (0.232, (0, 59, 255)),
        (0.236, (0, 60, 255)),
        (0.240, (0, 61, 255)),
        (0.244, (0, 62, 255)),
        (0.248, (0, 63, 255)),
        (0.252, (0, 64, 255)),
        (0.256, (0, 65, 255)),
        (0.260, (0, 66, 255)),
        (0.264, (0, 67, 255)),
        (0.268, (0, 68, 255)),
        (0.272, (0, 69, 255)),
        (0.276, (0, 70, 255)),
        (0.280, (0, 71, 255)),
        (0.283, (0, 72, 255)),
        (0.287, (0, 73, 255)),
        (0.291, (0, 74, 255)),
        (0.295, (0, 75, 255)),
        (0.299, (0, 76, 255)),
        (0.303, (0, 77, 255)),
        (0.307, (0, 78, 255)),
        (0.311, (0, 79, 255)),
        (0.315, (0, 80, 255)),
        (0.319, (0, 81, 255)),
        (0.323, (0, 82, 255)),
        (0.327, (0, 83, 255)),
        (0.331, (0, 84, 255)),
        (0.335, (0, 85, 255)),
        (0.339, (0, 86, 255)),
        (0.343, (0, 87, 255)),
        (0.346, (0, 88, 255)),
        (0.350, (0, 89, 255)),
        (0.354, (0, 90, 255)),
        (0.358, (0, 91, 255)),
        (0.362, (0, 92, 255)),
        (0.366, (0, 93, 255)),
        (0.370, (0, 94, 255)),
        (0.374, (0, 95, 255)),
        (0.378, (0, 96, 255)),
        (0.382, (0, 97, 255)),
        (0.386, (0, 98, 255)),
        (0.390, (0, 99, 255)),
        (0.394, (0, 100, 255)),
        (0.398, (0, 101, 255)),
        (0.402, (0, 102, 255)),
        (0.406, (0, 103, 255)),
        (0.409, (0, 104, 255)),
        (0.413, (0, 105, 255)),
        (0.417, (0, 106, 255)),
        (0.421, (0, 107, 255)),
        (0.425, (0, 108, 255)),
        (0.429, (0, 109, 255)),
        (0.433, (0, 110, 255)),
        (0.437, (0, 111, 255)),
        (0.441, (0, 112, 255)),
        (0.445, (0, 113, 255)),
        (0.449, (0, 114, 255)),
        (0.453, (0, 115, 255)),
        (0.457, (0, 116, 255)),
        (0.461, (0, 117, 255)),
        (0.465, (0, 118, 255)),
        (0.469, (0, 119, 255)),
        (0.472, (0, 120, 255)),
        (0.476, (0, 121, 255)),
        (0.480, (0, 122, 255)),
        (0.484, (0, 123, 255)),
        (0.488, (0, 124, 255)),
        (0.492, (0, 125, 255)),
        (0.496, (0, 126, 255)),
        (0.500, (0, 128, 255)),
        (0.504, (0, 129, 255)),
        (0.508, (0, 130, 255)),
        (0.512, (0, 131, 255)),
        (0.516, (0, 132, 255)),
        (0.520, (0, 133, 255)),
        (0.524, (0, 134, 255)),
        (0.528, (0, 135, 255)),
        (0.531, (0, 136, 255)),
        (0.535, (0, 137, 255)),
        (0.539, (0, 138, 255)),
        (0.543, (0, 139, 255)),
        (0.547, (0, 140, 255)),
        (0.551, (0, 141, 255)),
        (0.555, (0, 142, 255)),
        (0.559, (0, 143, 255)),
        (0.563, (0, 144, 255)),
        (0.567, (0, 145, 255)),
        (0.571, (0, 146, 255)),
        (0.575, (0, 147, 255)),
        (0.579, (0, 148, 255)),
        (0.583, (0, 149, 255)),
        (0.587, (0, 150, 255)),
        (0.591, (0, 151, 255)),
        (0.594, (0, 152, 255)),
        (0.598, (0, 153, 255)),
        (0.602, (0, 154, 255)),
        (0.606, (0, 155, 255)),
        (0.610, (0, 156, 255)),
        (0.614, (0, 157, 255)),
        (0.618, (0, 158, 255)),
        (0.622, (0, 159, 255)),
        (0.626, (0, 160, 255)),
        (0.630, (0, 161, 255)),
        (0.634, (0, 162, 255)),
        (0.638, (0, 163, 255)),
        (0.642, (0, 164, 255)),
        (0.646, (0, 165, 255)),
        (0.650, (0, 166, 255)),
        (0.654, (0, 167, 255)),
        (0.657, (0, 168, 255)),
        (0.661, (0, 169, 255)),
        (0.665, (0, 170, 255)),
        (0.669, (0, 171, 255)),
        (0.673, (0, 172, 255)),
        (0.677, (0, 173, 255)),
        (0.681, (0, 174, 255)),
        (0.685, (0, 175, 255)),
        (0.689, (0, 176, 255)),
        (0.693, (0, 177, 255)),
        (0.697, (0, 178, 255)),
        (0.701, (0, 179, 255)),
        (0.705, (0, 180, 255)),
        (0.709, (0, 181, 255)),
        (0.713, (0, 182, 255)),
        (0.717, (0, 183, 255)),
        (0.720, (0, 184, 255)),
        (0.724, (0, 185, 255)),
        (0.728, (0, 186, 255)),
        (0.732, (0, 187, 255)),
        (0.736, (0, 188, 255)),
        (0.740, (0, 189, 255)),
        (0.744, (0, 190, 255)),
        (0.748, (0, 191, 255)),
        (0.752, (0, 192, 255)),
        (0.756, (0, 193, 255)),
        (0.760, (0, 194, 255)),
        (0.764, (0, 195, 255)),
        (0.768, (0, 196, 255)),
        (0.772, (0, 197, 255)),
        (0.776, (0, 198, 255)),
        (0.780, (0, 199, 255)),
        (0.783, (0, 200, 255)),
        (0.787, (0, 201, 255)),
        (0.791, (0, 202, 255)),
        (0.795, (0, 203, 255)),
        (0.799, (0, 204, 255)),
        (0.803, (0, 205, 255)),
        (0.807, (0, 206, 255)),
        (0.811, (0, 207, 255)),
        (0.815, (0, 208, 255)),
        (0.819, (0, 209, 255)),
        (0.823, (0, 210, 255)),
        (0.827, (0, 211, 255)),
        (0.831, (0, 212, 255)),
        (0.835, (0, 213, 255)),
        (0.839, (0, 214, 255)),
        (0.843, (0, 215, 255)),
        (0.846, (0, 216, 255)),
        (0.850, (0, 217, 255)),
        (0.854, (0, 218, 255)),
        (0.858, (0, 219, 255)),
        (0.862, (0, 220, 255)),
        (0.866, (0, 221, 255)),
        (0.870, (0, 222, 255)),
        (0.874, (0, 223, 255)),
        (0.878, (0, 224, 255)),
        (0.882, (0, 225, 255)),
        (0.886, (0, 226, 255)),
        (0.890, (0, 227, 255)),
        (0.894, (0, 228, 255)),
        (0.898, (0, 229, 255)),
        (0.902, (0, 230, 255)),
        (0.906, (0, 231, 255)),
        (0.909, (0, 232, 255)),
        (0.913, (0, 233, 255)),
        (0.917, (0, 234, 255)),
        (0.921, (0, 235, 255)),
        (0.925, (0, 236, 255)),
        (0.929, (0, 237, 255)),
        (0.933, (0, 238, 255)),
        (0.937, (0, 239, 255)),
        (0.941, (0, 240, 255)),
        (0.945, (0, 241, 255)),
        (0.949, (0, 242, 255)),
        (0.953, (0, 243, 255)),
        (0.957, (0, 244, 255)),
        (0.961, (0, 245, 255)),
        (0.965, (0, 246, 255)),
        (0.969, (0, 247, 255)),
        (0.972, (0, 248, 255)),
        (0.976, (0, 249, 255)),
        (0.980, (0, 250, 255)),
        (0.984, (0, 251, 255)),
        (0.988, (0, 252, 255)),
        (0.992, (0, 253, 255)),
        (0.996, (0, 254, 255)),
        (1.000, (0, 255, 255)),
    ],
    "mode": "rgb",
}
